let engineIndicatorLight = 'red blinking';
let spaceSuitOn = true;
let shuttleCabinReady = true;
let crewStatus = spaceSuitOn && shuttleCabinReady;
let computerStatusCode = 200;
let shuttleSpeed = 15_000;

if (crewStatus) {
  console.log('Crew Ready');
} else {
  console.log('Crew Not Ready');
}

if (computerStatusCode === 200) {
  console.log('Please stand by, computer is rebooting!');
} else if (computerStatusCode === 400) {
  console.log('Success. Computer Online');
} else {
  console.log('ALERT: computer offline');
}

if (shuttleSpeed > 17_500) {
  console.log('ALERT!: Escape velocity reached');
} else if (shuttleSpeed < 8_000) {
  console.log('ALERT! cannot maintain orbit');
} else {
  console.log('Stable speed')
}

let fuelLevel = 5_000;
let engineTemperature = 2_000;
if (fuelLevel < 1_000 || engineTemperature > 3_500 || engineIndicatorLight === 'red blinking') {
  console.log('ENGINE FAILURE EMMINENT');
}
else if (fuelLevel <= 5_000 || engineTemperature > 2_500) {
  console.log('Check fuel level. Engines running hot')
}
else if (fuelLevel > 20_000 && engineTemperature <= 2_500) {
  console.log('"Full tank, Engines good.')
}
else if (fuelLevel > 10_000 && engineTemperature < 2_500) {
  console.log('Fuel level above 50%. Engines good.')
}
else if (fuelLevel > 5_000 && engineTemperature < 2_500) {
  console.log('Fuel level above 25%. Engines good.')
}
else {
  // in case engineTemperature or fuelLevel are undefined;
  console.log('Fuel and engines status pending..')
}



